# vue-dataset <a href="https://npm.im/vue-dataset"><img src="https://badgen.net/npm/v/vue-dataset/next"></a> ![](https://img.badgesize.io/kouts/vue-dataset/next/dist/vue-dataset.umd.js.svg) ![](https://img.badgesize.io/kouts/vue-dataset/next/dist/vue-dataset.umd.js.svg?compression=gzip) ![](/coverage/badge-next.svg)


---

:fire: **HEADS UP!** You're currently looking at vue-dataset `next` branch for **Vue.js 3**.  
If you're looking for a Vue.js 2 compatible version of vue-dataset, [please check out the `master` branch](https://github.com/kouts/vue-dataset/tree/master).

---

A set of Vue.js 3 components to display datasets (lists) with filtering, paging, and sorting capabilities!  
Created with reusability in mind, so that one doesn't have to recreate the same functionality for lists over and over again.

> vue-dataset does not impose any structure or layout limitations on your HTML, you can use divs, tables or anything you like to present your data.

## Features

- Highly customizable DOM structure
- Custom filtering based on the row values from all or specific data keys
- "Search as" feature allows for searching using a custom search method
- Multi "column" searching, search data keys are configurable
- "Sort as" feature allows for sorting using a custom sorting method
- Multi "column" sorting, sortable data keys are configurable
- Pagination
- Global search with debounce setting
- Easy to extend with custom components

## Browsers support

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera |
| --------- | --------- | --------- | --------- | --------- |
| Edge | last 2 versions | last 2 versions | last 2 versions| last 2 versions

Documentation and examples
https://next--vue-dataset-demo.netlify.app/

# Development

In order to start development:

```sh
npm i
npm run dev
```